# -*- encoding: utf-8 -*-
# stub: pledge 1.2.0 ruby lib
# stub: ext/pledge/extconf.rb

Gem::Specification.new do |s|
  s.name = "pledge".freeze
  s.version = "1.2.0".freeze

  s.required_rubygems_version = Gem::Requirement.new(">= 0".freeze) if s.respond_to? :required_rubygems_version=
  s.require_paths = ["lib".freeze]
  s.authors = ["Jeremy Evans".freeze]
  s.date = "2019-07-07"
  s.description = "pledge exposes OpenBSD's pledge(2) and unveil(2) system calls to Ruby, allowing\na program to restrict the types of operations the program can do, and the file\nsystem access the program has, after the point of call.  Unlike other similar\nsystems, pledge and unveil are specifically designed for programs that need to\nuse a wide variety of operations on initialization, but a fewer number after\ninitialization (when user input will be accepted).\n".freeze
  s.email = "code@jeremyevans.net".freeze
  s.extensions = ["ext/pledge/extconf.rb".freeze]
  s.extra_rdoc_files = ["README.rdoc".freeze, "CHANGELOG".freeze, "MIT-LICENSE".freeze]
  s.files = ["CHANGELOG".freeze, "MIT-LICENSE".freeze, "README.rdoc".freeze, "ext/pledge/extconf.rb".freeze]
  s.homepage = "https://github.com/jeremyevans/ruby-pledge".freeze
  s.licenses = ["MIT".freeze]
  s.rdoc_options = ["--quiet".freeze, "--line-numbers".freeze, "--inline-source".freeze, "--title".freeze, "pledge: restrict system operations and file system access on OpenBSD".freeze, "--main".freeze, "README.rdoc".freeze]
  s.required_ruby_version = Gem::Requirement.new(">= 1.8.7".freeze)
  s.rubygems_version = "3.5.9".freeze
  s.summary = "Restrict system operations and file system access on OpenBSD".freeze

  s.installed_by_version = "3.5.9".freeze if s.respond_to? :installed_by_version
end
